import * as cdk from "aws-cdk-lib";
import * as iam from "aws-cdk-lib/aws-iam";
import { Construct } from "constructs";
import { Configuration } from "../config";
export interface BaseStackProps extends cdk.StackProps {
    readonly permissionsBoundaryArn?: string;
    readonly environmentId?: string;
    readonly config?: string | Configuration;
}
export interface PermissionsBoundaryProps {
    readonly environmentId?: string;
    readonly prefix?: string;
    readonly qualifier?: string;
}
export declare class BaseStack extends cdk.Stack {
    static createDefaultPermissionsBoundary(scope: Construct, id: string, props: PermissionsBoundaryProps): iam.IManagedPolicy;
    readonly terminationProtection?: boolean | undefined;
    constructor(scope: Construct, id: string, props: BaseStackProps);
}
