import * as cdk from "aws-cdk-lib";
import * as databrew from "aws-cdk-lib/aws-databrew";
import * as events from "aws-cdk-lib/aws-events";
import * as sfn from "aws-cdk-lib/aws-stepfunctions";
import { Construct } from "constructs";
import { StateMachineStage, StateMachineStageProps } from "../pipelines/stage";
export interface DataBrewTransformStageProps extends StateMachineStageProps {
    readonly jobName?: string;
    readonly jobRoleArn?: string;
    readonly jobType?: string;
    readonly datasetName?: string;
    readonly createJob?: boolean;
    readonly dataCatalogOutputs?: databrew.CfnJob.DataCatalogOutputProperty[];
    readonly databaseOutputs?: databrew.CfnJob.DatabaseOutputProperty[];
    readonly encryptionKeyArn?: string;
    readonly encryptionMode?: string;
    readonly jobSample?: databrew.CfnJob.JobSampleProperty;
    readonly logSubscription?: string;
    readonly maxCapacity?: number;
    readonly maxRetries?: number;
    readonly outputLocation?: databrew.CfnJob.OutputLocationProperty;
    readonly outputs?: databrew.CfnJob.OutputProperty[];
    readonly profileConfiguration?: databrew.CfnJob.ProfileConfigurationProperty;
    readonly projectName?: string;
    readonly recipe?: databrew.CfnJob.RecipeProperty;
    readonly tags?: cdk.CfnTag[];
    readonly timeout?: number;
    readonly validationConfigurations?: databrew.CfnJob.ValidationConfigurationProperty[];
}
export declare class DataBrewTransformStage extends StateMachineStage {
    readonly targets?: events.IRuleTarget[];
    readonly eventPattern?: events.EventPattern;
    readonly stateMachine: sfn.StateMachine;
    readonly job?: databrew.CfnJob;
    readonly jobName: string;
    readonly createJob: boolean;
    constructor(scope: Construct, id: string, props: DataBrewTransformStageProps);
    private createDefaultDataBrewJobRole;
}
