import * as firehose from "@aws-cdk/aws-kinesisfirehose-alpha";
import * as destinations from "@aws-cdk/aws-kinesisfirehose-destinations-alpha";
import * as events from "aws-cdk-lib/aws-events";
import * as iam from "aws-cdk-lib/aws-iam";
import * as kinesis from "aws-cdk-lib/aws-kinesis";
import * as kms from "aws-cdk-lib/aws-kms";
import * as s3 from "aws-cdk-lib/aws-s3";
import { Construct } from "constructs";
import { DataStage, DataStageProps } from "../pipelines/stage";
export interface DeliveryStreamProps {
    readonly destinations?: firehose.IDestination[];
    readonly deliveryStreamName?: string;
    readonly encryption?: firehose.StreamEncryption;
    readonly encryptionKey?: kms.IKey;
    readonly role?: iam.IRole;
    readonly sourceStream?: kinesis.IStream;
}
export interface FirehoseToS3StageProps extends DataStageProps {
    readonly s3Bucket?: s3.IBucket;
    readonly s3BucketProps?: s3.BucketProps;
    readonly firehoseDeliveryStream?: firehose.DeliveryStream;
    readonly firehoseDeliveryStreamProps?: DeliveryStreamProps;
    readonly kinesisFirehoseDestinationsS3BucketProps?: destinations.S3BucketProps;
    readonly dataOutputPrefix?: string;
    readonly dataStreamEnabled?: boolean;
    readonly dataStream?: kinesis.Stream;
    readonly deliveryStreamDataFreshnessErrorsAlarmThreshold?: number;
    readonly deliveryStreamDataFreshnessErrorsEvaluationPeriods?: number;
}
export declare class FirehoseToS3Stage extends DataStage {
    readonly targets?: events.IRuleTarget[];
    readonly eventPattern?: events.EventPattern;
    readonly bucket: s3.IBucket;
    readonly deliveryStream: firehose.DeliveryStream;
    readonly dataStream?: kinesis.Stream;
    constructor(scope: Construct, id: string, props: FirehoseToS3StageProps);
}
